Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle® Ultra Search Java API Reference 10g Release 2 (10.2) B14221-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ultrasearch.query
Class EmailSource

`java.lang.Object
oracle.ultrasearch.query.EmailSource`

public class EmailSource
extends java.lang.Object

This class models an email data source. An email data source represents an email list subscribed by the email user.

Since:
  9.0.2

Constructor Summary
`EmailSource(java.lang.String idString, java.lang.String nameString, java.lang.String descriptionString)` Constructor that initializes the email data source id, name and description.

Method Summary
`java.lang.String` | `getDescription()` Gets the description of this email data source
`java.lang.String` | `getName()` Gets the email data source name
`java.lang.String` | `getSourceId()` Gets the email data source id.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmailSource

    public EmailSource(java.lang.String idString,
                       java.lang.String nameString,
                       java.lang.String descriptionString)

  Constructor that initializes the email data source id, name and description.
Parameters:
  `idString` - The email data source id string.
  `nameString` - The email data source name string.
  `descriptionString` - The description of the email data source.

Method Detail

### getSourceId

    public java.lang.String getSourceId()

  Gets the email data source id.
  Returns:
    the email data source id

### getName

    public java.lang.String getName()

  Gets the email data source name
  Returns:
    the email data source name

### getDescription

    public java.lang.String getDescription()

  Gets the description of this email data source
  Returns:
    the description of this email data source

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle® Ultra Search Java API Reference 10g Release 2 (10.2) B14221-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003,2005, Oracle. All Rights Reserved.